#include <bits/stdc++.h>
using namespace std;
int v[1000001];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,k;
    long long mx=0;
    cin>>n>>k;
    int cnt=0;
    for(int i=0;i<n;i++)
    {
        cin>>v[i];
        if(v[i]==1)
        {
            cnt++;
        }
    }
    if(cnt>=k-1) cout<<1;
    else cout<<0;
    return 0;
}
